package cn.hmsoft.ltc.service.iface;

import java.sql.SQLException;
import java.util.List;

import cn.hmsoft.ltc.model.SubjectOption;
import javafx.collections.ObservableList;

public interface SubjectOptionServie {

	List<SubjectOption> findSubjectOptions(Integer subjectId) throws SQLException;

	void insertSubjectOption(Integer subjectId, ObservableList<SubjectOption> subjectOptionList);

	ObservableList<SubjectOption> findSubjectOptionLists(Integer subjectId) throws SQLException;

	void deleteSubjectOption(SubjectOption subjectOption) throws SQLException;
}
